Get journal entries Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developer.adra.com/doc/journal-entry/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Journal Entry MCP server": {
  "url": "https://developer.adra.com/doc/journal-entry/mcp"
}
Close
GET /api/v1.0/engagements/{engagementSid}/journal-entries

OData endpoint that gets journal entries.

Example: Retrieve a specific journal entry by GUID

GET /api/v1.0/engagements/{engagementSid}/journal-entries?$top=1&$count=true&$filter=journalGuid eq c7a1e3b9-4d52-4f8a-9023-6e1b5d7f2a84

Path parameters

  • engagementSid string Required

    The engagement SID

Query parameters

  • $filter string

    OData $filter parameter

  • $orderby string

    OData $orderby parameter

  • $top integer(int64) Required

    OData $top parameter

    Minimum value is 0, maximum value is 5000.

  • $skip integer(int64)

    OData $skip parameter

    Minimum value is 0, maximum value is 5000.

  • $count boolean

    OData $count parameter

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • value array[object]
      Hide value attributes Show value attributes object
      • engagementGuid string(uuid) Required
      • journalGuid string(uuid) Required
      • legalEntityName string Required
      • legalEntityCode string Required
      • periodEndDate string(date-time) Required
      • periodName string Required
      • periodCode string
      • description string Required
      • journalDate string(date-time) Required
      • preparedBy string Required
      • preparedDate string(date-time) Required
      • journalStatus string Required

        Values are Draft, ReadyToPost, PendingPost, Posted, or Rejected.

      • currency string Required
      • debitSum number(double) Required
      • creditSum number(double) Required
      • totalLineCount integer(int32) Required
      • lastModifiedDate string(date-time) Required
      • journalLines array[object] Required
        Hide journalLines attributes Show journalLines attributes object
        • lineNumber integer(int32) Required
        • accountNo string Required
        • accountName string
        • credit number(double)
        • debit number(double)
        • lineText string
        • dimensions object Required
          Hide dimensions attribute Show dimensions attribute object
          • * string Additional properties
      • attachments array[object] Required
        Hide attachments attributes Show attachments attributes object
        • fileName string Required
    • @odata.count string
    • @odata.nextPage string
  • 400 application/problem+json

    Bad Request

    Hide response attributes Show response attributes object
    • type string
    • title string
    • status integer(int32)
    • detail string
    • instance string
  • default application/problem+json

    Error

    Hide response attributes Show response attributes object
    • type string
    • title string
    • status integer(int32)
    • detail string
    • instance string
GET /api/v1.0/engagements/{engagementSid}/journal-entries
curl \
 --request GET 'https://journal.adratest.com/api/v1.0/engagements/{engagementSid}/journal-entries?%24top=1' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "value": [
    {
      "engagementGuid": "string",
      "journalGuid": "string",
      "legalEntityName": "string",
      "legalEntityCode": "string",
      "periodEndDate": "2026-05-04T09:42:00Z",
      "periodName": "string",
      "periodCode": "string",
      "description": "string",
      "journalDate": "2026-05-04T09:42:00Z",
      "preparedBy": "string",
      "preparedDate": "2026-05-04T09:42:00Z",
      "journalStatus": "Draft",
      "currency": "string",
      "debitSum": 42.0,
      "creditSum": 42.0,
      "totalLineCount": 42,
      "lastModifiedDate": "2026-05-04T09:42:00Z",
      "journalLines": [
        {
          "lineNumber": 42,
          "accountNo": "string",
          "accountName": "string",
          "credit": 42.0,
          "debit": 42.0,
          "lineText": "string",
          "dimensions": {
            "additionalProperty1": "string",
            "additionalProperty2": "string"
          }
        }
      ],
      "attachments": [
        {
          "fileName": "string",
          "downloadLink": "string"
        }
      ]
    }
  ],
  "@odata.count": "string",
  "@odata.nextPage": "string"
}
Response examples (400)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}
Response examples (default)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}